-- rep

-- Distruct
-- 国家奇观为所在城市增加2点宜居度
UPDATE Buildings SET Entertainment=2 WHERE IsWonder=1;

-- 部分区域提升基础产出
-- DistrictModifiers
INSERT INTO DistrictModifiers(DistrictType,ModifierId)
VALUES ('DISTRICT_INDUSTRIAL_ZONE','DISTRICT_BASE_YIELD_PRODUCTION'),
('DISTRICT_THEATER','DISTRICT_BASE_YIELD_CULTURE'),
('DISTRICT_CAMPUS','DISTRICT_BASE_YIELD_SCIENCE'),
('DISTRICT_COMMERCIAL_HUB','DISTRICT_BASE_YIELD_GOLD'),
('DISTRICT_HARBOR','DISTRICT_BASE_YIELD_FAITH'),
('DISTRICT_HANSA','DISTRICT_BASE_YIELD_PRODUCTION'),
('DISTRICT_ACROPOLIS','DISTRICT_BASE_YIELD_CULTURE'),
('DISTRICT_SEOWON','DISTRICT_BASE_YIELD_SCIENCE'),
('DISTRICT_ROYAL_NAVY_DOCKYARD','DISTRICT_BASE_YIELD_GOLD'),
('DISTRICT_LAVRA','DISTRICT_BASE_YIELD_FAITH');

-- Modifiers
INSERT INTO Modifiers(ModifierId,ModifierType)
VALUES ('DISTRICT_BASE_YIELD_PRODUCTION','MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE'),
('DISTRICT_BASE_YIELD_CULTURE','MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE'),
('DISTRICT_BASE_YIELD_SCIENCE','MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE'),
('DISTRICT_BASE_YIELD_GOLD','MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE'),
('DISTRICT_BASE_YIELD_FAITH','MODIFIER_PLAYER_DISTRICT_ADJUST_BASE_YIELD_CHANGE');

-- ModifierArguments
INSERT INTO ModifierArguments(ModifierId,Name,Value)
VALUES ('DISTRICT_BASE_YIELD_PRODUCTION','YieldType','YIELD_PRODUCTION'),
('DISTRICT_BASE_YIELD_PRODUCTION','Amount',2),
('DISTRICT_BASE_YIELD_CULTURE','YieldType','YIELD_CULTURE'),
('DISTRICT_BASE_YIELD_CULTURE','Amount',2),
('DISTRICT_BASE_YIELD_SCIENCE','YieldType','YIELD_SCIENCE'),
('DISTRICT_BASE_YIELD_SCIENCE','Amount',2),
('DISTRICT_BASE_YIELD_GOLD','YieldType','GOLD'),
('DISTRICT_BASE_YIELD_GOLD','Amount',2),
('DISTRICT_BASE_YIELD_FAITH','YieldType','YIELD_FAITH'),
('DISTRICT_BASE_YIELD_FAITH','Amount',2);


-- 不同的区域提供不同的加成效果
-- 商业中心，港口为城市提供10%的增长速度
-- 文化中心，学院为城市提供10%领土扩张速度
-- 娱乐中心，机场为城市提供10%旅游业加成
INSERT INTO DistrictModifiers
(DistrictType,ModifierId)
VALUES ('DISTRICT_COMMERCIAL_HUB','FASTER_CITY_GROWTH'),
('DISTRICT_HARBOR','FASTER_CITY_GROWTH'),
('DISTRICT_ROYAL_NAVY_DOCKYARD','FASTER_CITY_GROWTH'),

('DISTRICT_THEATER','FASTER_CULTURE_BORDER_EXPANSION'),
('DISTRICT_CAMPUS','FASTER_CULTURE_BORDER_EXPANSION'),
('DISTRICT_ACROPOLIS','FASTER_CULTURE_BORDER_EXPANSION'),

('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_SCULPTURE_TOURISM'),
('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_PORTRAIT_TOURISM'),
('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_LANDSCAPE_TOURISM'),
('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_RELIGIOUS_TOURISM'),
('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_WRITING_TOURISM'),
('DISTRICT_ENTERTAINMENT_COMPLEX','MORE_MUSIC_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_SCULPTURE_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_PORTRAIT_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_LANDSCAPE_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_RELIGIOUS_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_WRITING_TOURISM'),
('DISTRICT_WATER_ENTERTAINMENT_COMPLEX','MORE_MUSIC_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_SCULPTURE_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_PORTRAIT_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_LANDSCAPE_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_RELIGIOUS_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_WRITING_TOURISM'),
('DISTRICT_STREET_CARNIVAL','MORE_MUSIC_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_SCULPTURE_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_PORTRAIT_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_LANDSCAPE_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_RELIGIOUS_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_WRITING_TOURISM'),
('DISTRICT_WATER_STREET_CARNIVAL','MORE_MUSIC_TOURISM'),
('DISTRICT_AERODROME','MORE_SCULPTURE_TOURISM'),
('DISTRICT_AERODROME','MORE_PORTRAIT_TOURISM'),
('DISTRICT_AERODROME','MORE_LANDSCAPE_TOURISM'),
('DISTRICT_AERODROME','MORE_RELIGIOUS_TOURISM'),
('DISTRICT_AERODROME','MORE_WRITING_TOURISM'),
('DISTRICT_AERODROME','MORE_MUSIC_TOURISM');

INSERT INTO Modifiers
(ModifierId,ModifierType)
Values ('FASTER_CITY_GROWTH','MODIFIER_SINGLE_CITY_ADJUST_CITY_GROWTH'),
('FASTER_CULTURE_BORDER_EXPANSION','MODIFIER_SINGLE_CITY_CULTURE_BORDER_EXPANSION'),
('MORE_SCULPTURE_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM'),
('MORE_PORTRAIT_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM'),
('MORE_LANDSCAPE_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM'),
('MORE_RELIGIOUS_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM'),
('MORE_WRITING_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM'),
('MORE_MUSIC_TOURISM','MODIFIER_SINGLE_CITY_ADJUST_TOURISM');

INSERT INTO ModifierArguments
(ModifierId,Name,Value)
Values ('FASTER_CITY_GROWTH','Amount',10),
('FASTER_CULTURE_BORDER_EXPANSION','Amount',10),
('MORE_SCULPTURE_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_SCULPTURE'),
('MORE_SCULPTURE_TOURISM','ScalingFactor',110),
('MORE_PORTRAIT_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_PORTRAIT'),
('MORE_PORTRAIT_TOURISM','ScalingFactor',110),
('MORE_LANDSCAPE_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_LANDSCAPE'),
('MORE_LANDSCAPE_TOURISM','ScalingFactor',110),
('MORE_RELIGIOUS_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_RELIGIOUS'),
('MORE_RELIGIOUS_TOURISM','ScalingFactor',110),
('MORE_WRITING_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_WRITING'),
('MORE_WRITING_TOURISM','ScalingFactor',110),
('MORE_MUSIC_TOURISM','GreatWorkObjectType','GREATWORKOBJECT_MUSIC'),
('MORE_MUSIC_TOURISM','ScalingFactor',110);


-- 真正的专家
-- 每个城区专家产出提高(除商业中心提高到6金币外，剧院/学院/工坊的产出提升至3)
UPDATE "District_CitizenYieldChanges"
SET YieldChange = 3 
WHERE DistrictType != 'DISTRICT_COMMERCIAL_HUB';

UPDATE "District_CitizenYieldChanges"
SET YieldChange = 6
WHERE DistrictType = 'DISTRICT_COMMERCIAL_HUB'; 


-- 同时产出相应区域的伟人点数(固定为1)
-- 主要是防止和其它加伟人点的mod冲突，毕竟常用
REPLACE INTO District_CitizenGreatPersonPoints
(DistrictType,GreatPersonClassType,PointsPerTurn)
VALUES 
('DISTRICT_INDUSTRIAL_ZONE','GREAT_PERSON_CLASS_ENGINEER',1),
('DISTRICT_HANSA','GREAT_PERSON_CLASS_ENGINEER',1),
('DISTRICT_COMMERCIAL_HUB','GREAT_PERSON_CLASS_MERCHANT',1),
('DISTRICT_CAMPUS','GREAT_PERSON_CLASS_SCIENTIST',1),
('DISTRICT_THEATER','GREAT_PERSON_CLASS_WRITER',1),
('DISTRICT_ACROPOLIS','GREAT_PERSON_CLASS_SCIENTIST',1);


-- 但是专家额外消耗1食物，同时学院还将额外消耗3金币（科研基金）
INSERT INTO "District_CitizenYieldChanges"
(DistrictType,YieldType,YieldChange)
VALUES ('DISTRICT_THEATER','YIELD_FOOD',-1),
('DISTRICT_ACROPOLIS','YIELD_FOOD',-1),
('DISTRICT_CAMPUS','YIELD_FOOD',-1),
('DISTRICT_CAMPUS','YIELD_GOLD',-3),
('DISTRICT_SEOWON','YIELD_FOOD',-1),
('DISTRICT_SEOWON','YIELD_GOLD',-3),
('DISTRICT_INDUSTRIAL_ZONE','YIELD_FOOD',-1),
('DISTRICT_HANSA','YIELD_FOOD',-1),
('DISTRICT_COMMERCIAL_HUB','YIELD_FOOD',-1);

-- SEWER
UPDATE Buildings
SET Entertainment = 2, Housing = 3
WHERE BuildingType = 'BUILDING_SEWER';

-- AQUEDUCT
UPDATE Districts
SET Appeal = 1
WHERE DistrictType = 'DISTRICT_AQUEDUCT';

-- wonder
UPDATE Building_YieldChanges
SET YieldChange = 5
WHERE BuildingType = 'BUILDING_STONEHENGE';

UPDATE Buildings
SET Housing = 4
WHERE BuildingType = 'BUILDING_HANGING_GARDENS';


-- 小马哥收获资源加成的修改，默认不变，你可以自己改为相应的数值(比如将100改为30后，砍伐资源加成变为原来的30%)
UPDATE ModifierArguments
SET Value = 100
WHERE ModifierId = 'GROUNDBREAKER_BONUS_HARVEST_YIELDS';













