-- 工业区强化(Industrial stronger)
REPLACE INTO Types
(Type,Kind)
VALUES
('MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION','KIND_MODIFIER'),
('MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION','KIND_MODIFIER');

INSERT INTO DynamicModifiers
(ModifierType,CollectionType,EffectType)
VALUES
('MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION','COLLECTION_OWNER','EFFECT_ADJUST_ALL_DISTRICTS_PRODUCTION'),
('MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION','COLLECTION_OWNER','EFFECT_ADJUST_WONDER_PRODUCTION');


-- 提升工业区建筑产能(由2/3/4提升至4/8/12)
UPDATE Building_YieldChanges
SET YieldChange = 4 
WHERE BuildingType="BUILDING_WORKSHOP" AND YieldType="YIELD_PRODUCTION";

UPDATE Building_YieldChanges
SET YieldChange = 8
WHERE BuildingType="BUILDING_FACTORY" AND YieldType="YIELD_PRODUCTION";

UPDATE Building_YieldChanges
SET YieldChange = 8
WHERE BuildingType="BUILDING_ELECTRONICS_FACTORY" AND YieldType="YIELD_PRODUCTION";

UPDATE Building_YieldChanges
SET YieldChange = 12
WHERE BuildingType="BUILDING_POWER_PLANT" AND YieldType="YIELD_PRODUCTION"; 


-- 每个工业区建筑为城市建造(包括区域/奇观)提供5%产能
INSERT INTO BuildingModifiers(BuildingType,ModifierId)
VALUES
('BUILDING_WORKSHOP','BUILDING_WORKSHOP_FASTER_BUILDTIME_DISTRICT'),
('BUILDING_WORKSHOP','BUILDING_WORKSHOP_FASTER_BUILDTIME_WONDER'),
('BUILDING_FACTORY','BUILDING_FACTORY_FASTER_BUILDTIME_DISTRICT'),
('BUILDING_FACTORY','BUILDING_FACTORY_FASTER_BUILDTIME_WONDER'),
('BUILDING_ELECTRONICS_FACTORY','BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_DISTRICT'),
('BUILDING_ELECTRONICS_FACTORY','BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_WONDER'),
('BUILDING_POWER_PLANT','BUILDING_POWER_PLANT_FASTER_BUILDTIME_DISTRICT'),
('BUILDING_POWER_PLANT','BUILDING_POWER_PLANT_FASTER_BUILDTIME_WONDER');

INSERT INTO Modifiers(ModifierId,ModifierType,SubjectRequirementSetId)
VALUES 
('BUILDING_WORKSHOP_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('BUILDING_WORKSHOP_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL),
('BUILDING_FACTORY_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('BUILDING_FACTORY_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL),
('BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL),
('BUILDING_POWER_PLANT_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('BUILDING_POWER_PLANT_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL);

INSERT INTO ModifierArguments(ModifierId,Name,Value)
VALUES 
('BUILDING_WORKSHOP_FASTER_BUILDTIME_DISTRICT','Amount',5),
('BUILDING_WORKSHOP_FASTER_BUILDTIME_WONDER','Amount',5),
('BUILDING_FACTORY_FASTER_BUILDTIME_DISTRICT','Amount',5),
('BUILDING_FACTORY_FASTER_BUILDTIME_WONDER','Amount',5),
('BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_DISTRICT','Amount',5),
('BUILDING_ELECTRONICS_FACTORY_FASTER_BUILDTIME_WONDER','Amount',5),
('BUILDING_POWER_PLANT_FASTER_BUILDTIME_DISTRICT','Amount',5),
('BUILDING_POWER_PLANT_FASTER_BUILDTIME_WONDER','Amount',5);


-- -- 工业区本身提供10%产能加速
INSERT INTO DistrictModifiers
(DistrictType,ModifierId)
VALUES 
('DISTRICT_INDUSTRIAL_ZONE','DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_DISTRICT'),
('DISTRICT_INDUSTRIAL_ZONE','DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_WONDER'),
('DISTRICT_HANSA','DISTRICT_HANSA_FASTER_BUILDTIME_DISTRICT'),
('DISTRICT_HANSA','DISTRICT_HANSA_FASTER_BUILDTIME_WONDER');

INSERT INTO Modifiers(ModifierId,ModifierType,SubjectRequirementSetId)
VALUES 
('DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL),
('DISTRICT_HANSA_FASTER_BUILDTIME_DISTRICT','MODIFIER_SINGLE_CITY_ADJUST_DISTRICT_PRODUCTION',NULL),
('DISTRICT_HANSA_FASTER_BUILDTIME_WONDER','MODIFIER_SINGLE_CITY_ADJUST_WONDER_PRODUCTION',NULL);

INSERT INTO ModifierArguments(ModifierId,Name,Value)
VALUES 
('DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_DISTRICT','Amount',10),
('DISTRICT_INDUSTRIAL_ZONE_FASTER_BUILDTIME_WONDER','Amount',10),
('DISTRICT_HANSA_FASTER_BUILDTIME_DISTRICT','Amount',10),
('DISTRICT_HANSA_FASTER_BUILDTIME_WONDER','Amount',10);
